package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiRichApprovPfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 2860986138L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoRichApprovPf;

	private StringFilter codiStatoRichiestaApprov;

	private StringFilter descStatoRichiestaApprov;

	private StringFilter flagEliminato;

	private LocalDateFilter dataFineRecord;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private StringFilter utenteUltimaModifica;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoRichApprovPf
	 */
	public LongFilter getSequIdStatoRichApprovPf() {
		return this.sequIdStatoRichApprovPf;
	}

	/**
	 * @param sequIdStatoRichApprovPf to set
	 */
	public void setSequIdStatoRichApprovPf(LongFilter sequIdStatoRichApprovPf) {
		this.sequIdStatoRichApprovPf = sequIdStatoRichApprovPf;
	}

	/**
	 * @return the codiStatoRichiestaApprov
	 */
	public StringFilter getCodiStatoRichiestaApprov() {
		return this.codiStatoRichiestaApprov;
	}

	/**
	 * @param codiStatoRichiestaApprov to set
	 */
	public void setCodiStatoRichiestaApprov(StringFilter codiStatoRichiestaApprov) {
		this.codiStatoRichiestaApprov = codiStatoRichiestaApprov;
	}

	/**
	 * @return the descStatoRichiestaApprov
	 */
	public StringFilter getDescStatoRichiestaApprov() {
		return this.descStatoRichiestaApprov;
	}

	/**
	 * @param descStatoRichiestaApprov to set
	 */
	public void setDescStatoRichiestaApprov(StringFilter descStatoRichiestaApprov) {
		this.descStatoRichiestaApprov = descStatoRichiestaApprov;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
